From: "Angus Ainslie (Purism)" <angus@akkea.ca>
Date: Thu, 24 Sep 2020 16:18:33 -0700
Subject: arm64: dts: imx8mq-librem5: Enable USB role switch

Enable role switch in the dwc3 phy and add the connector to the UCB type-c
stanza.

Signed-off-by: Angus Ainslie <angus@akkea.ca>
---
 arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi b/arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi
index e5a7d3f..db2f713 100644
--- a/arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi
+++ b/arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi
@@ -1012,6 +1012,10 @@ typec_pd: usb-pd@3f {
 		interrupt-names = "irq";
 
 		connector {
+			compatible = "usb-c-connector";
+			label = "USB-C";
+			data-role = "dual";
+
 			ports {
 				#address-cells = <1>;
 				#size-cells = <0>;
@@ -1611,6 +1615,10 @@ &usb_dwc3_0 {
 	#size-cells = <0>;
 	dr_mode = "otg";
 	snps,dis_u3_susphy_quirk;
+	hnp-disable;
+	srp-disable;
+	adp-disable;
+	usb-role-switch;
 	status = "okay";
 
 	port@0 {
